%F cvd.x
%T Color Vision Demonstrations: Initial parameter definitions
%D This file may be used to define the initial color values of almost
%D all colors in CVD.EXE.
%D Color coordinates are given in CIE xy-chromaticity and luminance triples.
%D Note that maximum white has "luminance" = 100.0 cd/qm if there is no
%D explicit gamma table available.
%P cvd.exe
%H Nov 8, 96

var
% These definitions correspond to PXL's internal defaults. The phosphor
% chromaticities are those defined as standard EBU phosphors. The maximum
% luminance values are such that they result in 100 units of luminance for
% maximum channel output.
%
%	redprimaryx = 0.6400
%	redprimaryy = 0.3300
%	redprimaryL = 22.19
%	greenprimaryx = 0.2900
%	greenprimaryy = 0.6000
%	greenprimaryL = 71.68
%	blueprimaryx = 0.1415
%	blueprimaryy = 0.0482
%	blueprimaryL = 7.13
%
%
% These parameters correspond to gamma function parameters for a function 
% suggested by: 
%  Berns, R. S., Motta, R. J., & Gorzynski, M. E. (1993). CRT Colorimetry.
%  Part I: Theory and Practice. Colour Research and Application, 18, 299--314.
% 
% The function is:  L(e) = (gain * e + offset)^gamma
%  Note that the parameters should satisfy: gain + offset = 1
%			
	redgamma = 2.40
	redgain = 1.000
	redoffset = 0.000
	greengamma = 2.2926
	greengain = 1.0953
	greenoffset = -0.0954
	bluegamma = 2.40
	bluegain = 1.000
	blueoffset = 0.000

	CVDBackground = [ 0.3130, 0.3290, 0.0]
	CVDValidregion = [ 0.31270, 0.32910, 20.0]
	CVDForeground = [ 0.3130, 0.3290, 66.666667]
	CVDCrosshair = [ 0.3130, 0.3290, 80.0]
	CVDMouse = [ 0.3130, 0.3290, 100.0]

	LuminanceChange = 1.010
	ChromaticityChange = 0.0030

	PlainRectangle = [ 0.5130, 0.3890, 8.610]

	PlainInductionIn = [ 0.3810, 0.250, 15.660]
	PlainInduction = [ 0.5130, 0.4090, 23.0]

	DiscountingField = [ 0.3810, 0.250, 15.660]
	DiscountingIncrementA = [ 0.5130, 0.4090, 23.0]
	DiscountingIncrementB = [ 0.3810, 0.250, 15.660]

	ColoredShadowA = [ 0.3130, 0.3290, 80.0]
	ColoredShadowB = [ 0.2770, 0.50, 56.0]

	InductionCenterPart = 0.60
	SweepDelay = 1000
	CoveredSquareRelSize = 0.40
	CoveringRectRelSize = 0.140
	FramingSquareRelSize = 0.60
	VisibleSquarePart = 0.80

	BrightnessContrastIn = [ 0.3130, 0.3290, 40.0]
	BrightnessContrastA = [ 0.3130, 0.3290, 20.0]
	BrightnessContrastB = [ 0.3130, 0.3290, 80.0]

	EquivContextIn = [ 0.31270, 0.32910, 25.0]
	EquivContextA = [ 0.31270, 0.32910, 10.0]
	EquivContextB = [ 0.31270, 0.32910, 80.0]
	EquivContextC = [ 0.31270, 0.32910, 50.0]

	ColorContrastIn = [ 0.2650, 0.3760, 37.0]
	ColorContrastA = [ 0.2310, 0.2940, 35.0]
	ColorContrastB = [ 0.4110, 0.4870, 45.0]
	ColorContrastInA = [ 0.2650, 0.3760, 23.20]
	ColorContrastInB = [ 0.2650, 0.3760, 23.20]

	DichMatchA = [ 0.31270, 0.32910, 17.0]
	DichMatchB = [ 0.31270, 0.32910, 43.0]
	DichMatchInA = [ 0.31270, 0.32910, 27.0]
	DichMatchInB = [ 0.31270, 0.32910, 50.0]
	DichMatchWidth = 500
	DichMatchGap = 10

	ContrastColorsOnTime = 120
	ContrastColorsOffTime = 1000
	ContrastColorsA = [ 0.350, 0.450, 34.0]
	ContrastColorsB = [ 0.2750, 0.2250, 23.0]

	LightnessA = [ 0.3130, 0.3290, 35.0]
	LightnessB = [ 0.3130, 0.3290, 65.0]
	LightnessInA = [ 0.3130, 0.3290, 55.0]
	LightnessInB = [ 0.3130, 0.3290, 55.0]

	TripleBackground = [ 0.31270, 0.32910, 25.0]
	TripleContextA = [ 0.31270, 0.32910, 40.0]
	TripleCenterA = [ 0.31270, 0.32910, 44.0]
	TripleContextB = [ 0.31270, 0.32910, 40.0]
	TripleCenterB = [ 0.31270, 0.32910, 40.0]
	TripleContextC = [ 0.31270, 0.32910, 0.0]
	TripleCenterC = [ 0.31270, 0.32910, 41.0]

	Stairs = [ 0.3130, 0.3290, 60.0]

	Axes = [ 0.3130, 0.3290, 60.0]

	KanizsaA = [ 0.3130, 0.3290, 0.0001]
	KanizsaB = [ 0.3130, 0.3290, 80.0]

	McColloughA = [ 0.640, 0.330, 17.60]
	McColloughB = [ 0.290, 0.60, 56.80]
	McColloughNeutral = [ 0.3130, 0.3290, 50.0]

	StereoA = [ 0.31270, 0.32910, 33.333333]
	StereoB = [ 0.31270, 0.32910, 80.0]

	AssimilationA = [ 0.150, 0.060, 5.60]
	AssimilationB = [ 0.420, 0.50, 70.0]
	AssimilationDiagonal = [ 0.640, 0.330, 17.60]

	HermannLines = [ 0.31270, 0.32910, 60.0]
	HermannSquares = [ 0.31270, 0.32910, 0.0]
	HermannDots = [ 0.31270, 0.32910, 100.0]

	NeonBackground = [ 0.3130, 0.3290, 80.0]
	NeonBackLines = [ 0.320, 0.330,  5.2]
	NeonRing = [ 0.3130, 0.3290, 80.0]
	NeonRingLines = [ 0.170, 0.080, 5.2]

	TransparentSquareA = [ 0.31270, 0.32910, 50.0]
	TransparentSquareB = [ 0.31270, 0.32910, 33.333333]

	MotionColorField = [ 0.3130, 0.3290, 100.0]
	MotionColorDiskDots = [ 0.640, 0.330, 22.0]
	MotionColorFieldDots = [ 0.290, 0.60, 47.333333]
	MotionColorStep = 200
	MotionColorDots = 2000
	MotionColorFpc = 100
	MotionColorDiskSize = 200

	OverlappedA = [ 0.50, 0.350, 36.0]
	OverlappedB = [ 0.30, 0.40, 38.0]
	OverlappedPart = 0.60

	CraikOBrienCornsweetA = [ 0.31270, 0.32910, 60.0]
	CraikOBrienCornsweetB = [ 0.31270, 0.32910, 66.0]

	LookingGlassA = [ 0.450, 0.450, 35.20]
	LookingGlassB = [ 0.40, 0.30, 34.70]

	ColorPage = [ 0.440, 0.470, 68.0]
	ColorLineA = [ 0.50, 0.40, 40.0]
	ColorLineB = [ 0.20, 0.20, 20.0]
	ColorLineDark = [ 0.3130, 0.3290, 3.333333]
	ColorLineBright = [ 0.3130, 0.3290, 90.909091]

	MachBandsA = [ 0.2850, 0.2480, 41.670]
	MachBandsB = [ 0.4370, 0.3720, 47.260]
	MachBandsDark = [ 0.31270, 0.32910, 38.910506]
	MachBandsBright = [ 0.31270, 0.32910, 71.428571]

	LinearStairsA = [ 0.50, 0.40, 40.0]
	LinearStairsB = [ 0.20, 0.20, 20.0]
	LinearStairsDark = [ 0.31270, 0.32910, 3.333333]
	LinearStairsBright = [ 0.31270, 0.32910, 90.909091]

	OuchiA = [ 0.3130, 0.3290, 100.0]
	OuchiB = [ 0.3130, 0.3290, 0.0]
	OuchiMotionXStep = 3
	OuchiMotionYStep = 3
	OuchiMotionRange = 20

	SpatialA = [ 0.1750, 0.1550, 22.0]
	SpatialB = [ 0.440, 0.480, 70.0]

	AfterEffectYellow = [ 0.440, 0.480, 54.0]
	AfterEffectBlue = [ 0.1750, 0.1550, 22.0]
	AfterEffectGreen = [ 0.240, 0.390, 45.50]
	AfterEffectRed = [ 0.50, 0.2560, 20.0]
	AfterEffectBackground = [ 0.310, 0.330, 60.0]

	CIELabSystemA = [ 0.150, 0.060, 5.60]
	CIELabSystemB = [ 0.420, 0.50, 70.0]
	CIELabSystemWhite = [ 0.31270, 0.32910, 100.0]

	LMSSystemA = [ 0.640, 0.330, 22.0]
	LMSSystemB = [ 0.150, 0.060, 7.0]
	LMSSystemC = [ 0.290, 0.60, 71.0]

	HypersaturationA = [ 0.440, 0.480, 54.0]
	HypersaturationB = [ 0.3130, 0.3290, 50.0]
	HypersaturationC = [ 0.240, 0.1750, 22.0]

	DesaturationA = [ 0.440, 0.480, 54.0]
	DesaturationB = [ 0.3130, 0.3290, 50.0]

	FocalBackground = [ 0.640, 0.330, 22.0]
	FocalFocus = [ 0.3130, 0.3290, 100.0]
	FocalAfter = [ 0.3130, 0.3290, 100.0]

	FlickerA = [ 0.640, 0.330, 22.0]
	FlickerB = [ 0.290, 0.60, 32.272727]

% If the MixerRed/Green/Blue parameters are NOT defined here then 
% CVD uses the screen primaries as mixer primaries
%
%	MixerRed = [ 0.640, 0.330, 17.60]
%	MixerGreen = [ 0.290, 0.60, 56.80]
%	MixerBlue = [ 0.150, 0.060, 5.60]

	AdGammaFields = 6

	SpatialMixerRed = [ 0.640, 0.330, 22.0]
	SpatialMixerGreen = [ 0.290, 0.60, 32.272727]

	FlickerMixerRed = [ 0.640, 0.330, 22.0]
	FlickerMixerGreen = [ 0.290, 0.60, 32.272727]

	GratingPeriods = 6
	GratingSpeed = 1.0
	MovingGratingA = [ 0.640, 0.330, 22.0]
	MovingGratingB = [ 0.290, 0.60, 32.272727]
	MovingGratingC = [ 0.31270, 0.32910, 33.333333]
	MovingGratingD = [ 0.31270, 0.32910, 25.0]

	FramesPerSector = 1
	Top1Colors = [ 0, 0, 1, 1, 2, 2, 3, 3]
	Top2Colors = [ 3, 3, 2, 2, 1, 1, 0, 0]
	ColorTopA = [ 0.3410, 0.2550, 32.0]
	ColorTopB = [ 0.2660, 0.270, 36.610]
	ColorTopC = [ 0.3280, 0.4670, 40.210]
	ColorTopD = [ 0.4320, 0.4440, 38.70]

	ProtanA = [ 0.4050, 0.30, 1.0]
	ProtanB = [ 0.220, 0.3250, 1.0]
	DeutanA = [ 0.390, 0.260, 1.0]
	DeutanB = [ 0.230, 0.3650, 1.0]
	TritanA = [ 0.270, 0.2250, 1.0]
	TritanB = [ 0.3450, 0.40, 1.0]

	MondrianRed = [ 0.640, 0.330, 22.0]
	MondrianGreen = [ 0.290, 0.60, 71.0]
	MondrianBlue = [ 0.150, 0.060, 7.0]

	FieldCenterPart = 0.166660
	FieldFixationPoint = 0
	FieldSurround = [ 0.3130, 0.3290, 80.7930]
	FieldCenter = [ 0.2530, 0.4190, 40.3520]
	FieldCenterA = [ 0.2530, 0.4190, 40.3520]
	FieldCenterB = [ 0.240, 0.2530, 42.5310]

	MultiColorA = [ 0.50, 0.40, 40.0]
	MultiColorB = [ 0.20, 0.20, 20.0]
	MultiColorDark = [ 0.31270, 0.32910, 3.333333]
	MultiColorBright = [ 0.31270, 0.32910, 90.909091]

	DitheredSquare = [ 0.31270, 0.32910, 10.0]

	textsize = 1
	PrintBackground = [0.413, 0.498, 49.468]
	PrintColor = [0.200, 0.210, 49.772]
	PrintText = [ "Readability test for colored",
		"letters on colored background.",
		" ",
		"To change this text you have to",
		"edit the file CVD.X and change",
		"parameter 'PrintText'. Change",
		"'textfont' and 'textsize' to",
		"change font and character size."]

	FrameCheckBarPart = 32

% Sun light
	LightA = [21, 23, 25, 31, 41, 46, 49, 52, 54, 53, 54, 59, 65, 71,
76, 78, 81, 81, 83, 85, 86, 85, 87, 89, 88, 89, 89, 87, 88, 90, 92, 93, 93,
93, 94, 93, 92, 91, 90, 91, 93, 92, 91, 91, 92, 92, 92, 92, 92, 90, 90, 92,
94, 92, 91, 91, 94, 95, 95, 95, 92, 84, 83, 88, 90, 91, 89, 82, 78]
	LightALuminance = 80.0 
	
% Blue sky light
	LightB = [60, 62, 64, 73, 89, 93, 93, 93, 89, 83, 81, 84, 88, 90,
91, 90, 88, 85, 83, 81, 79, 74, 73, 71, 67, 66, 63, 60, 58, 57, 56, 55, 53,
51, 50, 48, 46, 44, 42, 41, 41, 39, 38, 37, 36, 35, 34, 33, 32, 31, 30, 30,
29, 28, 28, 27, 27, 27, 26, 26, 24, 22, 21, 22, 22, 21, 21, 19, 18]
	LightBLuminance = 60.0

	FilterA = 88
	FilterB = 76
	EqualEnergyLuminance = 3.0
	CMFType = 1

	FullDisplayTime = 5000
	ChartDisplayTime = 1000
	

end
